<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    tools:background="@drawable/im_message_bubble_self_bg"
    tools:paddingBottom="@dimen/im_message_bubble_self_padding_bottom"
    tools:paddingEnd="@dimen/im_message_bubble_self_padding_end"
    tools:paddingStart="@dimen/im_message_bubble_self_padding_start"
    tools:paddingTop="@dimen/im_message_bubble_self_padding_top">

    <com.google.android.flexbox.FlexboxLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:alignContent="center"
        app:alignItems="baseline"
        app:flexDirection="row"
        app:flexWrap="wrap"
        app:justifyContent="flex_end"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_max="@dimen/im_message_bubble_max_width">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="16sp"
            tools:text="通话时长:00:30" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_message_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF86909C"
                android:textSize="11sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="9:10" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.flexbox.FlexboxLayout>

</androidx.constraintlayout.widget.ConstraintLayout>